package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 销售合同变更基础信息历史表
 * </p>
 *
 * @author yafan
 * @since 2023-12-12
 */
@TableName("c_sales_contract_supplement_basic_his_info")
public class CSalesContractSupplementBasicHisInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 补充合同编号
     */
    @TableField("supplement_contract_number")
    private String supplementContractNumber;

    /**
     * 销售合同变更信息表Id
     */
    @TableField("c_sales_contract_supplement_info_id")
    private Long cSalesContractSupplementInfoId;

    /**
     * 是否新增货物， 1:是,0:否
     */
    @TableField("is_add_goods")
    private Integer addGoods;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    @TableField(exist = false)
    private List<SalesContractSupplementGoodsInfoHistory> goodsInfoHistoryList;

    @TableField(exist = false)
    private List<FileStorageDO> files;

    public String getSupplementContractNumber() {
        return supplementContractNumber;
    }

    public void setSupplementContractNumber(String supplementContractNumber) {
        this.supplementContractNumber = supplementContractNumber;
    }

    public Long getcSalesContractSupplementInfoId() {
        return cSalesContractSupplementInfoId;
    }

    public void setcSalesContractSupplementInfoId(Long cSalesContractSupplementInfoId) {
        this.cSalesContractSupplementInfoId = cSalesContractSupplementInfoId;
    }

    public Integer getAddGoods() {
        return addGoods;
    }

    public void setAddGoods(Integer addGoods) {
        this.addGoods = addGoods;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<SalesContractSupplementGoodsInfoHistory> getGoodsInfoHistoryList() {
        return goodsInfoHistoryList;
    }

    public void setGoodsInfoHistoryList(List<SalesContractSupplementGoodsInfoHistory> goodsInfoHistoryList) {
        this.goodsInfoHistoryList = goodsInfoHistoryList;
    }

    public List<FileStorageDO> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorageDO> files) {
        this.files = files;
    }

    @Override
    public String toString() {
        return "CSalesContractSupplementBasicHisInfo{" +
                ", supplementContractNumber=" + supplementContractNumber +
                ", cSalesContractSupplementInfoId=" + cSalesContractSupplementInfoId +
                ", remark=" + remark +
                "}";
    }
}
